
Eina_Bool _efl_ui_win_socket_socket_listen(Eo *obj, Efl_Ui_Win_Socket_Data *pd, const char *svcname, int svcnum, Eina_Bool svcsys);

EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_ui_win_socket_listen, Eina_Bool, 0, EFL_FUNC_CALL(svcname, svcnum, svcsys), const char *svcname, int svcnum, Eina_Bool svcsys);

Efl_Object *_efl_ui_win_socket_efl_object_finalize(Eo *obj, Efl_Ui_Win_Socket_Data *pd);


static Eina_Bool
_efl_ui_win_socket_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_WIN_SOCKET_EXTRA_OPS
#define EFL_UI_WIN_SOCKET_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_win_socket_listen, _efl_ui_win_socket_socket_listen),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_win_socket_efl_object_finalize),
      EFL_UI_WIN_SOCKET_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_win_socket_class_desc = {
   EO_VERSION,
   "Efl.Ui.Win_Socket",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Win_Socket_Data),
   _efl_ui_win_socket_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_win_socket_class_get, &_efl_ui_win_socket_class_desc, EFL_UI_WIN_CLASS, NULL);
